#include <stdint.h> /* Standard Integer Types */
#include <stdio.h> /* Standard IO facilities */
#include <stdlib.h> /* General utilities */
#include <string.h> /* Strings */
#include <avr/io.h> /* AVR device-specific IO definitions */
#include <util/delay.h> /* Convenience functions for busy-wait delay loops */

#define LED PD6 /* LED port */


static void ioinit(void)
{
	DDRD = (1<<LED); /* set LED pin as output */
}

int main(void)
{
	ioinit(); /* initialize IOs */

	uint8_t i;

	/* blink LED */
	for (i = 0; i < 100; i++) {
		PIND |= (1<<LED); /* toggle LED */
		_delay_ms(1000);
	}

	return 0;
}
